> ## Documentation Index
> Fetch the complete documentation index at: https://docs.repdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Respondents

> Retrieve all respondents for a survey.



## OpenAPI

````yaml POST /v3/getAllRespondents
openapi: 3.0.1
info:
  title: API Documentation
  description: API Documentation for Redem 3.0
  version: 1.0.0
  license:
    name: MIT
servers:
  - url: https://api.redem.io
security:
  - apiKeyAuth: []
tags:
  - name: Survey
    description: Survey management
  - name: Respondent
    description: Respondent management
paths:
  /v3/getAllRespondents:
    post:
      tags:
        - Respondent
      summary: Get all respondents
      description: Retrieve all respondents for a survey.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetAllRespondentsRequest'
      responses:
        '200':
          description: >-
            When a request is successfully processed, the API responds with a
            `200 OK` status code and the expected data.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: >-
                      A variable indicating whether the **operation was
                      successful**.
                    enum:
                      - true
                      - false
                  message:
                    type: string
                    description: >-
                      A variable that **human-readable message** providing
                      additional context or confirmation of the requested
                      action.
                  results:
                    type: array
                    description: >-
                      This variable includes **all quality parameters associated
                      with a respondent**.
                    items:
                      type: object
                      properties:
                        respondentId:
                          type: string
                          description: >-
                            **The unique identifier for a respondent**, making
                            it easy to distinguish them from others in the
                            survey.
                          example: RESP497770
                        status:
                          type: string
                          description: >-
                            A variable that **indicates the current state of the
                            respondent**. 

                             **💡Important:** Even if a respondent fails evaluation, the response status will still be `COMPLETED`. 

                             **⭕ Note:** The value -999 is a predefined code returned by ReDem whenever a respondent cannot be evaluated. This applies to all quality scores, including ReDem Score (R-Score), OES, GQS, CHS, TS, and BAS.
                          enum:
                            - COMPLETED
                            - QUEUED
                        respondentQuality:
                          $ref: '#/components/schemas/RespondentResults_v3'
                          description: >-
                            This variable **represents respondent data that has
                            been evaluated according to the quality checks
                            specified in the /addRespondent request**. 

                             **⭕ Note:** this variable will only be available if the respondent status is `COMPLETED`.
              example:
                success: true
                message: Respondents quality retrieved successfully
                results:
                  - respondentId: RESP497770
                    status: COMPLETED
                    respondentQuality:
                      isExcluded: false
                      reasonsForExclusion:
                        - Open Ended Score Threshold
                        - Coherence Score Threshold
                      redemScore: 85
                      dataPointsSummary:
                        - qualityCheck: OES
                          dataPointId: Q1
                          score: 85
                          category: VALID_ANSWER
                          effort: HIGH
                        - qualityCheck: TS
                          dataPointId: durationQ1
                          score: 95
                        - qualityCheck: GQS
                          dataPointId: Q2
                          score: 90
                        - qualityCheck: OES
                          dataPointId: Q3
                          score: 75
                          category: VALID_ANSWER
                        - qualityCheck: TS
                          dataPointId: durationQ3
                          score: 50
                        - qualityCheck: CHS
                          dataPointId: CHS_Question
                          score: 75
                          reason: >-
                            The user shows several inconsistencies and
                            contradictions, such as different ...
                        - qualityCheck: GQS
                          dataPointId: Q4
                          score: 80
                        - qualityCheck: TS
                          dataPointId: totalDuration
                          score: 65
                      qualityScoreSummary:
                        - qualityCheck: OES
                          score: 80
                        - qualityCheck: CHS
                          score: 75
                          reason: >-
                            The user shows several inconsistencies and
                            contradictions, such as different ...
                        - qualityCheck: GQS
                          score: 85
                        - qualityCheck: TS
                          score: 70
                  - respondentId: RESP497771
                    status: PROCESSING
                  - respondentId: RESP497772
                    status: PROCESSING
                  - respondentId: RESP497773
                    status: COMPLETED
                    respondentQuality:
                      isExcluded: false
                      reasonsForExclusion: []
                      redemScore: -999
                      dataPointsSummary:
                        - qualityCheck: OES
                          dataPointId: Q1
                          score: -999
                          category: N/A
                        - qualityCheck: TS
                          dataPointId: durationQ1
                          score: -999
                        - qualityCheck: GQS
                          dataPointId: Q2
                          score: -999
                        - qualityCheck: OES
                          dataPointId: Q3
                          score: -999
                          category: N/A
                        - qualityCheck: TS
                          dataPointId: durationQ3
                          score: -999
                        - qualityCheck: CHS
                          dataPointId: CHS_Question
                          score: -999
                          reason: N/A
                        - qualityCheck: GQS
                          dataPointId: Q4
                          score: -999
                        - qualityCheck: TS
                          dataPointId: totalDuration
                          score: -999
                      qualityScoreSummary:
                        - qualityCheck: OES
                          score: -999
                        - qualityCheck: CHS
                          score: -999
                          reason: N/A
                        - qualityCheck: GQS
                          score: -999
                        - qualityCheck: TS
                          score: -999
        '400':
          description: >-
            When a request fails due to invalid input or other errors, the API
            returns a 400 Bad Request status code. The response includes a
            descriptive message explaining the issue and an error object
            containing additional details to aid in diagnosing and resolving the
            problem.
          content:
            application/json:
              schema:
                type: object
              examples:
                Validation Error:
                  value:
                    success: false
                    message: Validation Error
                    errors:
                      '0': '"surveyName" is required'
components:
  schemas:
    GetAllRespondentsRequest:
      description: Request body for getting all respondents
      required:
        - surveyName
      type: object
      properties:
        surveyName:
          type: string
          description: '**The name of the survey**.'
    RespondentResults_v3:
      allOf:
        - $ref: '#/components/schemas/RespondentResults'
        - type: object
          properties:
            dataPointsSummary:
              type: array
              items:
                $ref: '#/components/schemas/DataPointsQualityResponse_v3'
              description: >-
                Detailed results of quality checks performed at the individual
                data point level (includes `effort` for applicable OES
                categories).
    RespondentResults:
      description: Complete quality assessment for a respondent
      type: object
      properties:
        isExcluded:
          type: boolean
          description: >-
            **Indicates whether a respondent is excluded based on the cleaning
            settings specified in the request**. If cleaning is not activated,
            the respondent is always included by default.
          example: false
        reasonsForExclusion:
          type: array
          items:
            type: string
          description: >-
            **Reasons for exclusion** will only be available if the respondent
            is excluded based on the cleaning settings specified in the request.
            If the respondent is not excluded, the array will be empty.
        redemScore:
          type: number
          description: >-
            **A weighted average score** (0–100) calculated based on the applied
            quality scores.. 

             For more information refer to the [ReDem Score](/quality-checks/redem-score) section.
          example: 85
        qualityScoreSummary:
          type: array
          items:
            $ref: '#/components/schemas/QualityCheckResponse'
          description: An object containing detailed results for each quality score applied
        dataPointsSummary:
          type: array
          items:
            $ref: '#/components/schemas/DataPointsQualityResponse'
          description: >-
            Detailed results of quality checks performed at the individual data
            point level.
    DataPointsQualityResponse_v3:
      description: >-
        Quality check results for a single datapoint (v3, includes effort level
        for applicable OES categories).
      type: object
      properties:
        qualityCheck:
          type: string
          enum:
            - OES
            - TS
            - GQS
            - CHS
            - BAS
          description: '**Type of quality check** performed for the data point'
          example: OES
        dataPointId:
          type: string
          description: '**A unique identifier of the data point**'
          example: Q1
        score:
          type: number
          description: '**Quality score for the data point**, ranging from 0 to 100'
          example: 85
        category:
          type: string
          description: >-
            **Quality category** for the data point, this will be only available
            if the quality check type is set to `OES` or `BAS`
          example: VALID_ANSWER
        effort:
          type: string
          enum:
            - LOW
            - MEDIUM
            - HIGH
          description: >-
            **Effort level detected for the response** (API v3 only). Available
            when `qualityCheck` is `OES` and the `category` is `VALID_ANSWER` or
            `NO_ANSWER`.
          example: HIGH
        reason:
          type: string
          description: >-
            **Explanation** for the score, this will be only available if the
            quality check type is set to `GQS`
          example: Straightliner, Partial Straightliner
    QualityCheckResponse:
      description: Aggregated results for a quality score type
      type: object
      properties:
        qualityCheck:
          type: string
          enum:
            - OES
            - TS
            - GQS
            - CHS
            - BAS
          description: '**The specific type of quality check** applied to a respondent.'
          example: OES
        score:
          type: number
          description: >-
            A **numerical score from 0 to 100** that represents the overall
            result of a specific quality check. It is calculated based on the
            combined evaluation of all data point scores of the same quality
            type.
          example: 78
        reason:
          type: string
          description: >-
            **The reason behind the score** — available only when the quality
            score type is set to `CHS`.
          example: >-
            The user shows several inconsistencies and contradictions, such as
            different ...
        incoherentQuestions:
          type: array
          items:
            type: string
          description: >-
            **List of incoherent questions** identified during the CHS quality
            check. This will be only available if the quality score type is set
            to `CHS` 

             **⭕ Note:** The questions are named in numerical order, reflecting the sequence in which they were presented to the respondent.
          example:
            - Q1
            - Q2
    DataPointsQualityResponse:
      description: Quality check results for a single datapoint
      type: object
      properties:
        qualityCheck:
          type: string
          enum:
            - OES
            - TS
            - GQS
            - CHS
            - BAS
          description: '**Type of quality check** performed for the data point'
          example: OES
        dataPointId:
          type: string
          description: '**A unique identifier of the data point**'
          example: Q1
        score:
          type: number
          description: '**Quality score for the data point**, ranging from 0 to 100'
          example: 85
        category:
          type: string
          description: >-
            **Quality category** for the data point, this will be only available
            if the quality check type is set to `OES` or `BAS`
          example: VALID_ANSWER
        reason:
          type: string
          description: >-
            **Explanation** for the score, this will be only available if the
            quality check type is set to `GQS`
          example: Straightliner, Partial Straightliner
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: api-key

````